/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import entities.GiroTarjetaDebito;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author ryuuji
 */
@Local
public interface GiroTarjetaDebitoFacadeLocal {

  void create(GiroTarjetaDebito giroTarjetaDebito);

  void edit(GiroTarjetaDebito giroTarjetaDebito);

  void remove(GiroTarjetaDebito giroTarjetaDebito);

  GiroTarjetaDebito find(Object id);

  List<GiroTarjetaDebito> findAll();

  List<GiroTarjetaDebito> findRange(int[] range);

  int count();
  
}
